#### OutputPropertySetMusic

Set grob properties in objects individually.

Syntax `\outputproperty` predicate prop`=` val.

Music types: general-music and layout-instruction

Accepted by: Output_property_engraver, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'OutputPropertySetMusic`

  Name of this music object

`internal-class-name` (string):
  `Music`

  C++ class to use for this Music object

`iterator-ctor` (procedure):
  `Output_property_music_iterator::constructor`

  Function to construct music-event-iterator object for this Music

`types` (list):
  `'(general-music layout-instruction)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).